AOZ Studio Beta - Bug #604

When auto-complete is turned off, the Editor will not allow a cursor up or down when typing, and at
the end of a word.

12/03/2020 07:50 PM - Brian Flanagan

Status: Resolved Start date: 12/03/2020
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 1:00 hour

Target version:

Affected version: 1.0.0 (B6a)

Description

For example: Make sure you have auto-complete UN-checked in the settings.
Then try typing the following in the editor:

Loop

Do not hit a space after typing the p. Just try cursor up or down. It will not work until you type a space, or cursor left or right, etc.
Once you have taken it out of word typing mode this releases the "lock" from up or down.

My guess is it that it has to do with the still partially functioning auto-complete, which would normally use cursor up or down to scroll
through the suggestions. (It's still trying to.)

History

#1 - 03/27/2021 05:11 AM - Brian Flanagan

- File Auto-complete Setting is Off.png added

- File Came up with Auto-Complete Off.png added

- Affected version changed from Beta 2 to 1.0.0 (B6a)

Re-tested in 1.0.0 (B6a)
This is still a problem... and EXTREMELY annoying!

See screen shots for example. (Note that your results will depend on what you've typed previously.)

(Note also that it should NOT have matched anyway, as it is matching the characters at different places in the string!!!)
NOTHING should match, since auto-complete is OFF!!!

If this is coming from the "help", then I'd like a way to turn off the help... or the help needs to be fixed!

#2 - 10/21/2021 09:29 AM - Brian Flanagan

- Status changed from New to Resolved

Re-tested in 1.0.0 (B10) u16 (21 Oct 2021)

Working now. Thanks to whoever fixed this. :-)

Files
Auto-complete Setting is Off.png 21.9KB 03/27/2021 Brian Flanagan
Came up with Auto-Complete Off.png 23.5KB 03/27/2021 Brian Flanagan
